<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  font-family: Arial, Helvetica, sans-serif;
}

.navbar {
  height: 3.8rem;
  background-color: white;
  padding-left: 3ch;
  padding-right: 3ch;
  display: flex;
  box-shadow: 0 3px 30px rgb(0 0 0 / 0.2);
  justify-content: center;
}

.navbar-content-wrapper {
  display: flex;
}

.navbar-content {
  height: 100%;
  width: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-left: 3ch;
  padding-right: 3ch;
  font-size: 16.5px;
  margin-right: 1ch;
  color: black;
}

.navbar-content:hover {
  background-color: rgb(206, 205, 205);
}

.content {
  padding-top: 3rem;
  min-height: calc(100vh - 3.8rem - 3rem);
  display: flex;
  align-items: center;
  flex-direction: column;
}

.content .content-grid {
  margin-top: 2rem;
  display: grid;
  grid-template-columns: auto auto auto auto auto auto;
}

@media (max-width: 1200px) {
  .content .content-grid {
    grid-template-columns: auto auto auto auto;
  }
}

@media (max-width: 800px) {
  .content .content-grid {
    grid-template-columns: auto auto;
  }
}

.flip-card {
  margin-left: 3rem;
  margin-right: 3rem;
  margin-bottom: 3rem;
  background-color: transparent;
  width: 300px;
  height: 300px;
  perspective: 1000px;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
  box-shadow: 0 8px 16px 0 #2ecc71;
}

.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.flip-card-front {
  background-color: #bdc3c7;
  color: black;
}

.flip-card-back {
  background-color: #ecf0f1;
  color: black;
  transform: rotateY(180deg);
  flex-direction: column;
}
</style>
</head>
<body>

  <div class="navbar">
    <div class="navbar-content-wrapper">
      <a href="/">
        <div class="navbar-content">
          <p>Home</p>
        </div>
      </a>
      <a href="/lab-4/add-note/">
        <div class="navbar-content">
          <p>Add Notes</p>
        </div>
      </a>
      <a href="/lab-4/note-list/">
        <div class="active navbar-content">
          <p>Note Card</p>
        </div>
      </a>
      <a href="/lab-4/">
        <div class="navbar-content">
          <p>Note Table</p>
        </div>
      </a>
    </div>
  </div>

<div class="content">
  <h1>Note Card</h1>
  <div class="content-grid">
    {% if notes %}
    {% for note in notes %}
    <div class="flip-card">
      <div class="flip-card-inner">
        <div class="flip-card-front">
          <h1>{{ note.title }}</h1>
        </div>
        <div class="flip-card-back">
          <h1>{{ note.note_to }}</h1> 
          <p>From: {{ note.note_from }}</p> 
          <p>{{ note.message }}</p>
        </div>
      </div>
    </div><br />
    {% endfor %}
    {% endif %}
  </div>
</div>

</body>
</html>

